Get card
curl --request GET \
--url https://{subdomain}.truust.io/2.0/cards/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.truust.io/2.0/cards/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.truust.io/2.0/cards/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"self": "<string>",
"uuid": "<string>",
"type": "<string>",
"cardholder": "<string>",
"alias": "<string>",
"expiration": "12/26",
"issuing_country": "<string>",
"issuing_bank": "<string>",
"is_3d_secure": true,
"confirmed": true,
"payin_type": "<string>",
"tokenization_link": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"connections": {}
}{
"message": "Not found"
}Cards
Get Card
GET
/
cards
/
{uuid}
Get card
Authorizations
Use your account's Secret Key as the Bearer token.
Path Parameters
Response
Card details
Card brand (e.g. VISA, MASTERCARD).
Masked card number alias (e.g. 4242XXXXXXXX4242).
Example:
"12/26"
Whether the card has been successfully tokenized and confirmed.
Payment type this card is associated with.
URL to complete card tokenization. Only present immediately after creation.
Hypermedia links to related resources.
Show child attributes
Show child attributes
